• This plugin does not work with the latest versions of WooCommerce. When you enter the API keys and Save, it presents 4 of the same error message asking you to “Enter your Secret key here” with ‘here’ being a link that when clicked brings up a “cannot load Woocommerce” error message. I’ve worked with every gateway from Stripe to Authorize.net and this one is a mess. We ended up setting up a Stripe acct for the client for online sales. So much easier than dealing with this.

Viewing 4 replies - 1 through 4 (of 4 total)
  • Hi @co50,

    Thank you for bringing this erroneous error message to our attention. We were able to observe and rectify this – the latest version of our plugin published this morning has that bug-fix.

    Let us know if you have any questions, or if we can help in any way.

    The plugin is still broken. While the errors previously mentioned no longer show up, the plugin still doesn’t declare itself properly as a payment method to WooCommerce, so it shows no available payment methods even if SecureSubmit is enabled and full configured.

    Hey @mrgregb123,

    I suspect the issue you’re running into is actually the Blocks vs. Shortcodes incompatibility issue for WooCommerce checkout pages. Please have a look here for instructions that I think will get you in the right direction.

    If that doesn’t do the trick please let us know and we’ll dig into this further. The plugin is tested and working though, so I think this will help resolve your issue.

    Well, it isn’t an issue unless your plugin doesn’t work with the latest versions of WooCommerce, which is what I said at the beginning. Stripe works. Paypal works. Authorize.net works. Are you confirming your plugin is not compatible with the newer WooCommerce checkout?

Viewing 4 replies - 1 through 4 (of 4 total)
  • You must be logged in to reply to this review.